rcc_language_relation_t Struct Reference

`#include <librcc.h>`

## Public Attributes

const char * | lang
const char * | parent

## Detailed Description

Language relations. Meaning: sentence in considered language may contain words from all his parents. This knowledge will help Autodetection Engine to guess right language.

For example: Russian is parent language for Ukrainian. This means it is possible to encounter russian words in ukrainian sentence.

All languages by default are related to english language.

## Member Data Documentation

## lang

const char* rcc_language_relation_t::lang

Coresponded language ISO-639-1 name

## parent

const char* rcc_language_relation_t::parent

Parent language

The documentation for this struct was generated from the following file:

- librcc.h